Skip to main content
`Ctrl`+`K`

# PEPComputeError

Computes the error (based on the residual norm) associated with the `i`-th computed eigenpair.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPComputeError(PEP pep,PetscInt i,PEPErrorType type,PetscReal *error)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- i - the solution index

- type - the type of error to compute, see `PEPErrorType`

## Output Parameter

- error - the error

## Note

The error can be computed in various ways, all of them based on the residual norm \(\|P(\lambda)x\|_2\) where \((\lambda,x)\) is the approximate eigenpair.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPErrorType`, `PEPSolve()`, `PEPGetErrorEstimate()`

## Level

beginner

## Location

src/pep/interface/pepsolve.c

## Examples

src/pep/tutorials/ex16.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages